## squirrelmail-emptyfolders 2.1-4

=== Makefile ===
build:

clean:
	[] rm -f ${DESTDIR}/usr/share/squirrelmail/src/left_main.php

install: build
	mkdir -p ${DESTDIR}/usr/share/squirrelmail/{plugins,src}/
	cp -a empty_folders ${DESTDIR}/usr/share/squirrelmail/plugins/

=== debian/changelog ===
squirrelmail-emptyfolders (2.1-4) wheezy; urgency=low

  * Removed forceoverride for left_main.php

 -- Jean-Denis Gebhardt <jgebhardt@noris.net>  Tue, 09 Apr 2013 17:10:52 +0200

squirrelmail-emptyfolders (2.1-3) wheezy; urgency=low

  * Improved forceoveride for left_main.php 

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 15 Mar 2013 10:04:03 +0100

squirrelmail-emptyfolders (2.1-2) wheezy; urgency=low

  * Changed string {plus,minus}.gif to {plus,minus}.png

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 15 Mar 2013 09:19:05 +0100

squirrelmail-emptyfolders (2.1-1) wheezy; urgency=low

  * Forceoveride for left_main.php

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Wed, 13 Mar 2013 10:15:36 +0100

squirrelmail-emptyfolders (2.1) wheezy; urgency=low

  * Patch included

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Tue, 12 Mar 2013 14:28:47 +0100

squirrelmail-emptyfolders (2.0.1) stable; urgency=low

  * Neu, fuer RT#621267

 -- Micha Krause <Micha@noris.de>  Tue, 27 Jul 2010 15:32:10 +0200

squirrelmail-emptyfolders (1.1-1) stable; urgency=low

  * Initial Release.
  * Added docs and examples.

 -- Hardy Kestin <hardy@noris.net>  Mon, 15 Aug 2005 12:26:11 +0200

=== debian/control ===
Source: squirrelmail-emptyfolders
Section: web
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: squirrelmail-emptyfolders
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, squirrelmail (>=1.2), squirrelmail-compatibility (>=2.0)
Description: Places an empty-link next to any folder name.
 This plugin allows the user to turn on the display of "empty" links to the right of any folders in their folder list that contain at least one message. Clicking on the link will then empty all messages from that folder into the trash (or expunge them, depending on your preferences).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/squirrelmail-emptyfolders.sgml > squirrelmail-emptyfolders.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/squirrelmail-emptyfolders.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/squirrelmail-emptyfolders


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
